#define F_CPU 16000000UL
#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>
#include <stdbool.h>

const uint8_t maskaLED = 1 << 5;

int main(void)
{
  uint8_t pocitadlo = 0;
  bool pomalu = false;
  
  DDRB = maskaLED;
  
  while (1)
  {
    PORTB = PORTB ^ maskaLED;
    _delay_ms(250);
    
    pocitadlo++;
    if(pocitadlo == 8)
    {
      pocitadlo = 0;
      pomalu = !pomalu;
      
      if(pomalu)
      {
        CLKPR = (1 << CLKPCE);
        CLKPR = 0b00000011;
      }
      else
      {
        CLKPR = (1 << CLKPCE);
        CLKPR = 0;
      }
    }
  }
}

